=== debian/changelog ===
ros-indigo-sicktoolbox-wrapper (2.5.3-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 16 Jun 2014 22:29:38 -0000
